<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough">
<f:view>
    <h:head>
        <h:outputStylesheet library="css" name="style.css"/>
    </h:head>
    <h:body class="main">
        <h:form class="form">
            <h:outputLabel for="login">Login</h:outputLabel>
            <h:inputText class="input" id="login" value="#{customerBean.customer.login}" a:required = "true"/>
            <h:outputLabel for="login">Password</h:outputLabel>
            <h:inputSecret class="input" id="password" value="#{customerBean.customer.password}"  a:required = "true"/>
            <h:commandButton class="submit_btn" action="#{customerBean.validateUserLogin}" value="Sign in"/>
            <h:outputText class="error" value="#{customerBean.error}"/>
        </h:form>
    </h:body>
</f:view>
</html>
